Subject: Re: New Year's Exploration: Changing the Internet's Infrastructure

From: "t.petch" <[email-masked]>
Date: Sat, 1 Jan 2011 12:03:06 +0100

----- Original Message ----- 
From: "John Leslie" <[email-masked]>
To: "Richard L. Barnes" <[email-masked]>
Cc: "IETF Discussion" <[email-masked]>
Sent: Friday, December 31, 2010 7:38 PM
> Richard L. Barnes <[email-masked]> wrote:
> > 
> > ISTM that the success of changes to the infrastructure depends on the
> > value those changes deliver to participants in the Internet economy...
> > So the question is rather how many problems there are in the current
> > infrastructure that cause people enough pain to do something.
> 
>    Indeed -- _an_ interesting question... but perhaps not phrased quite
> right: in truth, there are an arbitrarily large number of problems that
> cause _somebody_ enough pain to do something.
> 
> > I think there are at least a couple (improving BGP security, for
> > example), and the number will probably slowly shrink over time,
> > but in the long run, I expect there will ultimately always be a few
> > big things that need to be done that can't be done in end systems.
> 
>    Start from the end: there _will_ be a number of things that shouldn't
> be done in end systems. End systems _really_don't_ want to worry about
> the route packets follow -- at most they want to worry about delay,
> jitter, and order of delivery. But they _will_ work with whatever tools
> are available to ameliorate such worries.
> 
>    The number of problems will most surely _increase_ over time, not
> shrink.
> 
>    BGP security is a _dreadful_ example. It conflates weaknesses of the
> original design with issues entirely out-of-scope of the original design.
> And the original design was seriously flawed by defining algorithms
> instead of meanings.
> 
>    Nonetheless, the example does serve to illustrate a weakness of IETF
> process -- that it's much easier to get traction on small fixes to
> parts of the problem than on migration to a design which avoids the
> problems.
> 
>    BTW, I find it interesting to see how little of the work originating
> in the Security area has gained traction. I wonder to what extent this
> results from:
> 
> - cycles being expended on cross-area reviews;
> 
> - recommending IPsec whether or not it could be deployed for the use;
> 
> - the inherent complexity of key infrastructure?

Security is different in kind from a functional enhancement, of the sort
one sees in successive generations of mobile, in successive versions
of Windows etc.  With these, you pay, you get.

Security you pay for what you don't get, fraud and crime.  Long
experience teaches me that noone will pay until after the security
breach has cost them; only when a bank loses billions to fraud
will a few millions preventing it seem like a good investment.  All
we can do is have the solutions ready in advance of the attacks,
so that when the latter happen, we can say, what a coincidence,
we just happen to have the solution ready and waiting.

Tom Petch
> --
> John Leslie <[email-masked]>

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Sat, 1 Jan 2011 12:44:04 +0000

The fundamental problems that infrastructure changes face are cases where

1) Costs are borne by party X, benefits accrue to party Y

2) Costs pers user are independent of number of adopters, benefits are
proportional to the number of adopters.

The network effect is only a virtuous circle once costs exceed benefits.
Until that point is reached it is a chicken and egg problem.

One of the interesting features of this analysis is that every time I give
it people:

1) Insist that the analysis is not novel, is obvious and unimaginative.

2) Continue to attempt the approach they admit is obviously going to fail.

One of the problems with modern academia is that novelty and cleverness are
far more likely to advance a career than building stuff that actually works.
So when we have a problem there is a bias in the academy towards an approach
that is novel and allows the designer to demonstrate their cleverness rather
than an approach that was proposed twenty years ago, before the problem was
recognized as important.

Take the problem of BGP security. People seem to be attempting to
authenticate the routes so as to protect the integrity of messages (assuming
DNSSEC deployment). That seems to be a rather unlikely objective to achieve
given the number of backbone providers, the number of packets and the fact
that packets can be dropped. Trying to achieve anything more than preventing
against Denial of Service attacks at the BGP layer is probably futile.

There are two issues, the binding of IP address range claims to AS numbers
and the interchange of routing metrics. We could solve the first problem
pretty easily using a straightforward approach. Each 24 hours the NICs all
sign a list of the IP address assignments to public key holders they have
granted.This can then be used to verify signatures. Quick, simple and does
not require exploration in untested parts of the X.509 stack.

Instead we get a science project.

---

From: Dave CROCKER <[email-masked]>
Date: Sat, 15 Jan 2011 08:21:06 -0800

On 12/31/2010 6:56 AM, Dave CROCKER wrote:
> So I would like to ask for folks to help the community develop some concrete
> information about this, by adding entries and comments to the IETF's Outcomes Wiki:
>
> <http://trac.tools.ietf.org/misc/outcomes/>[2]
...
> Some infrastructure changes are designed for the router level of things and some
> are designed for host-level. But they provide underlying services that can then
> be used for better performance, reliability, or control or to make new
> applications viable.

G'day.

On some further thought about this question, the term "infrastructure" does not 
seem to be very helpful.

I suggest we distinguish where the "benefit barrier" is.  What kind of adoption 
is required before the adopters can gain benefit?

Single:

    In very rare cases, a single adopter can gain benefit immediately.  Even 
among the cases that qualify for this classification on a theoretical basis, I 
suspect the fact that they qualify is an accident and that they were expected to 
have a different adoption requirement, and probably do have a different one, 
predominantly.  That is, the single-adopter benefit is probably deemed 
insufficient.  DKIM is an example of this.

Pair:

    Any communicating pair of systems can gain immediate benefit.  I like citing 
MIME as a stellar example of this.  I suppose ARP also qualifies.

Path:

    All of the systems along the path need to adopt the change before it can 
provide benefit.  IPv6 is an obvious example of this.  In the email arena, so is 
Delivery Service Notice.  However note that the ability to predict the path is 
very poor, so that broader adoption is typically required before a particular 
path will happen to provide the necessary support.

Subsystem:

    Very broad-based adoption by an extended service must first occur.  BGP and 
DNSSEC are examples.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net